# GstVc1Parser

For more details about the structures, look at the smpte specifications (S421m-2006.pdf).

## GstVC1AdvancedSeqHdr

Structure for the advanced profile sequence headers specific parameters.

### Members

`level` (GstVC1Level) –
No description available
`frmrtq_postproc` (guint8) –
No description available
`bitrtq_postproc` (guint8) –
No description available
`postprocflag` (guint8) –
No description available
`max_coded_width` (guint16) –
No description available
`max_coded_height` (guint16) –
No description available
`pulldown` (guint8) –
No description available
`interlace` (guint8) –
No description available
`tfcntrflag` (guint8) –
No description available
`finterpflag` (guint8) –
No description available
`psf` (guint8) –
No description available
`display_ext` (guint8) –
No description available
`disp_horiz_size` (guint16) –
No description available
`disp_vert_size` (guint16) –
No description available
`aspect_ratio_flag` (guint8) –
No description available
`aspect_ratio` (guint8) –
No description available
`aspect_horiz_size` (guint8) –
No description available
`aspect_vert_size` (guint8) –
No description available
`framerate_flag` (guint8) –
No description available
`framerateind` (guint8) –
No description available
`frameratenr` (guint8) –
No description available
`frameratedr` (guint8) –
No description available
`framerateexp` (guint16) –
No description available
`color_format_flag` (guint8) –
No description available
`color_prim` (guint8) –
No description available
`transfer_char` (guint8) –
No description available
`matrix_coef` (guint8) –
No description available
`hrd_param_flag` (guint8) –
No description available
`colordiff_format` (guint8) –
No description available
`hrd_param` (GstVC1HrdParam) –
No description available
`framerate` (guint) –
No description available
`bitrate` (guint) –
No description available
`par_n` (guint) –
No description available
`par_d` (guint) –
No description available
`fps_n` (guint) –
No description available
`fps_d` (guint) –
No description available
`entrypoint` (GstVC1EntryPointHdr) –
No description available

## GstCodecParsers.VC1AdvancedSeqHdr

Structure for the advanced profile sequence headers specific parameters.

### Members

`level` (GstCodecParsers.VC1Level) –
No description available
`frmrtq_postproc` (Number) –
No description available
`bitrtq_postproc` (Number) –
No description available
`postprocflag` (Number) –
No description available
`max_coded_width` (Number) –
No description available
`max_coded_height` (Number) –
No description available
`pulldown` (Number) –
No description available
`interlace` (Number) –
No description available
`tfcntrflag` (Number) –
No description available
`finterpflag` (Number) –
No description available
`psf` (Number) –
No description available
`display_ext` (Number) –
No description available
`disp_horiz_size` (Number) –
No description available
`disp_vert_size` (Number) –
No description available
`aspect_ratio_flag` (Number) –
No description available
`aspect_ratio` (Number) –
No description available
`aspect_horiz_size` (Number) –
No description available
`aspect_vert_size` (Number) –
No description available
`framerate_flag` (Number) –
No description available
`framerateind` (Number) –
No description available
`frameratenr` (Number) –
No description available
`frameratedr` (Number) –
No description available
`framerateexp` (Number) –
No description available
`color_format_flag` (Number) –
No description available
`color_prim` (Number) –
No description available
`transfer_char` (Number) –
No description available
`matrix_coef` (Number) –
No description available
`hrd_param_flag` (Number) –
No description available
`colordiff_format` (Number) –
No description available
`hrd_param` (GstCodecParsers.VC1HrdParam) –
No description available
`framerate` (Number) –
No description available
`bitrate` (Number) –
No description available
`par_n` (Number) –
No description available
`par_d` (Number) –
No description available
`fps_n` (Number) –
No description available
`fps_d` (Number) –
No description available
`entrypoint` (GstCodecParsers.VC1EntryPointHdr) –
No description available

## GstCodecParsers.VC1AdvancedSeqHdr

Structure for the advanced profile sequence headers specific parameters.

### Members

`level` (GstCodecParsers.VC1Level) –
No description available
`frmrtq_postproc` (int) –
No description available
`bitrtq_postproc` (int) –
No description available
`postprocflag` (int) –
No description available
`max_coded_width` (int) –
No description available
`max_coded_height` (int) –
No description available
`pulldown` (int) –
No description available
`interlace` (int) –
No description available
`tfcntrflag` (int) –
No description available
`finterpflag` (int) –
No description available
`psf` (int) –
No description available
`display_ext` (int) –
No description available
`disp_horiz_size` (int) –
No description available
`disp_vert_size` (int) –
No description available
`aspect_ratio_flag` (int) –
No description available
`aspect_ratio` (int) –
No description available
`aspect_horiz_size` (int) –
No description available
`aspect_vert_size` (int) –
No description available
`framerate_flag` (int) –
No description available
`framerateind` (int) –
No description available
`frameratenr` (int) –
No description available
`frameratedr` (int) –
No description available
`framerateexp` (int) –
No description available
`color_format_flag` (int) –
No description available
`color_prim` (int) –
No description available
`transfer_char` (int) –
No description available
`matrix_coef` (int) –
No description available
`hrd_param_flag` (int) –
No description available
`colordiff_format` (int) –
No description available
`hrd_param` (GstCodecParsers.VC1HrdParam) –
No description available
`framerate` (int) –
No description available
`bitrate` (int) –
No description available
`par_n` (int) –
No description available
`par_d` (int) –
No description available
`fps_n` (int) –
No description available
`fps_d` (int) –
No description available
`entrypoint` (GstCodecParsers.VC1EntryPointHdr) –
No description available

## GstVC1BDU

Structure that represents a Bitstream Data Unit.

### Members

`type` (GstVC1StartCode) –
No description available
`size` (guint) –
No description available
`sc_offset` (guint) –
No description available
`offset` (guint) –
No description available
`data` (guint8 *) –
No description available

## GstCodecParsers.VC1BDU

Structure that represents a Bitstream Data Unit.

### Members

`type` (GstCodecParsers.VC1StartCode) –
No description available
`size` (Number) –
No description available
`sc_offset` (Number) –
No description available
`offset` (Number) –
No description available
`data` (Number) –
No description available

## GstCodecParsers.VC1BDU

Structure that represents a Bitstream Data Unit.

### Members

`type` (GstCodecParsers.VC1StartCode) –
No description available
`size` (int) –
No description available
`sc_offset` (int) –
No description available
`offset` (int) –
No description available
`data` (int) –
No description available

## GstVC1BitPlanes

### Members

`acpred` (guint8 *) –
No description available
`fieldtx` (guint8 *) –
No description available
`overflags` (guint8 *) –
No description available
`mvtypemb` (guint8 *) –
No description available
`skipmb` (guint8 *) –
No description available
`directmb` (guint8 *) –
No description available
`forwardmb` (guint8 *) –
No description available
`size` (guint) –
No description available

## GstCodecParsers.VC1BitPlanes

### Members

`acpred` (Number) –
No description available
`fieldtx` (Number) –
No description available
`overflags` (Number) –
No description available
`mvtypemb` (Number) –
No description available
`skipmb` (Number) –
No description available
`directmb` (Number) –
No description available
`forwardmb` (Number) –
No description available
`size` (Number) –
No description available

## GstCodecParsers.VC1BitPlanes

### Members

`acpred` (int) –
No description available
`fieldtx` (int) –
No description available
`overflags` (int) –
No description available
`mvtypemb` (int) –
No description available
`skipmb` (int) –
No description available
`directmb` (int) –
No description available
`forwardmb` (int) –
No description available
`size` (int) –
No description available

## GstVC1EntryPointHdr

Structure for entrypoint header, this will be used only in advanced profiles

### Members

`broken_link` (guint8) –
No description available
`closed_entry` (guint8) –
No description available
`panscan_flag` (guint8) –
No description available
`refdist_flag` (guint8) –
No description available
`loopfilter` (guint8) –
No description available
`fastuvmc` (guint8) –
No description available
`extended_mv` (guint8) –
No description available
`dquant` (guint8) –
No description available
`vstransform` (guint8) –
No description available
`overlap` (guint8) –
No description available
`quantizer` (guint8) –
No description available
`coded_size_flag` (guint8) –
No description available
`coded_width` (guint16) –
No description available
`coded_height` (guint16) –
No description available
`extended_dmv` (guint8) –
No description available
`range_mapy_flag` (guint8) –
No description available
`range_mapy` (guint8) –
No description available
`range_mapuv_flag` (guint8) –
No description available
`range_mapuv` (guint8) –
No description available
`hrd_full` (guint8 *) –
No description available

## GstCodecParsers.VC1EntryPointHdr

Structure for entrypoint header, this will be used only in advanced profiles

### Members

`broken_link` (Number) –
No description available
`closed_entry` (Number) –
No description available
`panscan_flag` (Number) –
No description available
`refdist_flag` (Number) –
No description available
`loopfilter` (Number) –
No description available
`fastuvmc` (Number) –
No description available
`extended_mv` (Number) –
No description available
`dquant` (Number) –
No description available
`vstransform` (Number) –
No description available
`overlap` (Number) –
No description available
`quantizer` (Number) –
No description available
`coded_size_flag` (Number) –
No description available
`coded_width` (Number) –
No description available
`coded_height` (Number) –
No description available
`extended_dmv` (Number) –
No description available
`range_mapy_flag` (Number) –
No description available
`range_mapy` (Number) –
No description available
`range_mapuv_flag` (Number) –
No description available
`range_mapuv` (Number) –
No description available
`hrd_full` ([ Number ]) –
No description available

## GstCodecParsers.VC1EntryPointHdr

Structure for entrypoint header, this will be used only in advanced profiles

### Members

`broken_link` (int) –
No description available
`closed_entry` (int) –
No description available
`panscan_flag` (int) –
No description available
`refdist_flag` (int) –
No description available
`loopfilter` (int) –
No description available
`fastuvmc` (int) –
No description available
`extended_mv` (int) –
No description available
`dquant` (int) –
No description available
`vstransform` (int) –
No description available
`overlap` (int) –
No description available
`quantizer` (int) –
No description available
`coded_size_flag` (int) –
No description available
`coded_width` (int) –
No description available
`coded_height` (int) –
No description available
`extended_dmv` (int) –
No description available
`range_mapy_flag` (int) –
No description available
`range_mapy` (int) –
No description available
`range_mapuv_flag` (int) –
No description available
`range_mapuv` (int) –
No description available
`hrd_full` ([ int ]) –
No description available

## GstVC1FrameHdr

Structure that represent picture in any profile or mode. You should look at ptype and profile to know what is currently in use.

### Members

`ptype` (GstVC1PictureType) –
No description available
`interpfrm` (guint8) –
No description available
`halfqp` (guint8) –
No description available
`transacfrm` (guint8) –
No description available
`transdctab` (guint8) –
No description available
`pqindex` (guint8) –
No description available
`pquantizer` (guint8) –
No description available
`pquant` (guint8) –
No description available
`profile` (guint8) –
No description available
`dquant` (guint8) –
No description available
`vopdquant` (GstVC1VopDquant) –
No description available
`pic.simple` (GstVC1PicSimpleMain) –
No description available
`pic.advanced` (GstVC1PicAdvanced) –
No description available
`header_size` (guint) –
No description available

## GstCodecParsers.VC1FrameHdr

Structure that represent picture in any profile or mode. You should look at ptype and profile to know what is currently in use.

### Members

`ptype` (GstCodecParsers.VC1PictureType) –
No description available
`interpfrm` (Number) –
No description available
`halfqp` (Number) –
No description available
`transacfrm` (Number) –
No description available
`transdctab` (Number) –
No description available
`pqindex` (Number) –
No description available
`pquantizer` (Number) –
No description available
`pquant` (Number) –
No description available
`profile` (Number) –
No description available
`dquant` (Number) –
No description available
`vopdquant` (GstCodecParsers.VC1VopDquant) –
No description available
`header_size (not introspectable)` (Number) –
No description available

## GstCodecParsers.VC1FrameHdr

Structure that represent picture in any profile or mode. You should look at ptype and profile to know what is currently in use.

### Members

`ptype` (GstCodecParsers.VC1PictureType) –
No description available
`interpfrm` (int) –
No description available
`halfqp` (int) –
No description available
`transacfrm` (int) –
No description available
`transdctab` (int) –
No description available
`pqindex` (int) –
No description available
`pquantizer` (int) –
No description available
`pquant` (int) –
No description available
`profile` (int) –
No description available
`dquant` (int) –
No description available
`vopdquant` (GstCodecParsers.VC1VopDquant) –
No description available
`header_size (not introspectable)` (int) –
No description available

## GstVC1FrameLayer

### Members

`key` (guint8) –
No description available
`framesize` (guint32) –
No description available
`timestamp` (guint32) –
No description available
`next_framelayer_offset` (guint32) –
No description available
`skiped_p_frame` (guint8) –
No description available

## GstCodecParsers.VC1FrameLayer

### Members

`key` (Number) –
No description available
`framesize` (Number) –
No description available
`timestamp` (Number) –
No description available
`next_framelayer_offset` (Number) –
No description available
`skiped_p_frame` (Number) –
No description available

## GstCodecParsers.VC1FrameLayer

### Members

`key` (int) –
No description available
`framesize` (int) –
No description available
`timestamp` (int) –
No description available
`next_framelayer_offset` (int) –
No description available
`skiped_p_frame` (int) –
No description available

## GstVC1HrdParam

### Members

`hrd_num_leaky_buckets` (guint8) –
No description available
`bit_rate_exponent` (guint8) –
No description available
`buffer_size_exponent` (guint8) –
No description available
`hrd_rate` (guint16 *) –
No description available
`hrd_buffer` (guint16 *) –
No description available

## GstCodecParsers.VC1HrdParam

### Members

`hrd_num_leaky_buckets` (Number) –
No description available
`bit_rate_exponent` (Number) –
No description available
`buffer_size_exponent` (Number) –
No description available
`hrd_rate` ([ Number ]) –
No description available
`hrd_buffer` ([ Number ]) –
No description available

## GstCodecParsers.VC1HrdParam

### Members

`hrd_num_leaky_buckets` (int) –
No description available
`bit_rate_exponent` (int) –
No description available
`buffer_size_exponent` (int) –
No description available
`hrd_rate` ([ int ]) –
No description available
`hrd_buffer` ([ int ]) –
No description available

## GstVC1PicAdvanced

### Members

`fcm` (GstVC1FrameCodingMode) –
No description available
`tfcntr` (guint8) –
No description available
`rptfrm` (guint8) –
No description available
`tff` (guint8) –
No description available
`rff` (guint8) –
No description available
`ps_present` (guint8) –
No description available
`ps_hoffset` (guint32) –
No description available
`ps_voffset` (guint32) –
No description available
`ps_width` (guint16) –
No description available
`ps_height` (guint16) –
No description available
`rndctrl` (guint8) –
No description available
`uvsamp` (guint8) –
No description available
`postproc` (guint8) –
No description available
`mvrange` (guint8) –
No description available
`mvmode` (guint8) –
No description available
`mvtab` (guint8) –
No description available
`cbptab` (guint8) –
No description available
`ttmbf` (guint8) –
No description available
`ttfrm` (guint8) –
No description available
`bfraction` (guint16) –
No description available
`mvmode2` (guint8) –
No description available
`lumscale` (guint8) –
No description available
`lumshift` (guint8) –
No description available
`bf` (guint8) –
No description available
`condover` (guint8) –
No description available
`transacfrm2` (guint8) –
No description available
`acpred` (guint8) –
No description available
`overflags` (guint8) –
No description available
`mvtypemb` (guint8) –
No description available
`skipmb` (guint8) –
No description available
`directmb` (guint8) –
No description available
`forwardmb` (guint8) –
No description available
`fieldtx` (guint8) –
No description available
`intcomp` (guint8) –
No description available
`dmvrange` (guint8) –
No description available
`mbmodetab` (guint8) –
No description available
`imvtab` (guint8) –
No description available
`icbptab` (guint8) –
No description available
`mvbptab2` (guint8) –
No description available
`mvbptab4` (guint8) –
No description available
`mvswitch4` (guint8) –
No description available
`refdist` (guint16) –
No description available
`fptype` (guint8) –
No description available
`numref` (guint8) –
No description available
`reffield` (guint8) –
No description available
`lumscale2` (guint8) –
No description available
`lumshift2` (guint8) –
No description available
`intcompfield` (guint8) –
No description available

## GstCodecParsers.VC1PicAdvanced

### Members

`fcm` (GstCodecParsers.VC1FrameCodingMode) –
No description available
`tfcntr` (Number) –
No description available
`rptfrm` (Number) –
No description available
`tff` (Number) –
No description available
`rff` (Number) –
No description available
`ps_present` (Number) –
No description available
`ps_hoffset` (Number) –
No description available
`ps_voffset` (Number) –
No description available
`ps_width` (Number) –
No description available
`ps_height` (Number) –
No description available
`rndctrl` (Number) –
No description available
`uvsamp` (Number) –
No description available
`postproc` (Number) –
No description available
`mvrange` (Number) –
No description available
`mvmode` (Number) –
No description available
`mvtab` (Number) –
No description available
`cbptab` (Number) –
No description available
`ttmbf` (Number) –
No description available
`ttfrm` (Number) –
No description available
`bfraction` (Number) –
No description available
`mvmode2` (Number) –
No description available
`lumscale` (Number) –
No description available
`lumshift` (Number) –
No description available
`bf` (Number) –
No description available
`condover` (Number) –
No description available
`transacfrm2` (Number) –
No description available
`acpred` (Number) –
No description available
`overflags` (Number) –
No description available
`mvtypemb` (Number) –
No description available
`skipmb` (Number) –
No description available
`directmb` (Number) –
No description available
`forwardmb` (Number) –
No description available
`fieldtx` (Number) –
No description available
`intcomp` (Number) –
No description available
`dmvrange` (Number) –
No description available
`mbmodetab` (Number) –
No description available
`imvtab` (Number) –
No description available
`icbptab` (Number) –
No description available
`mvbptab2` (Number) –
No description available
`mvbptab4` (Number) –
No description available
`mvswitch4` (Number) –
No description available
`refdist` (Number) –
No description available
`fptype` (Number) –
No description available
`numref` (Number) –
No description available
`reffield` (Number) –
No description available
`lumscale2` (Number) –
No description available
`lumshift2` (Number) –
No description available
`intcompfield` (Number) –
No description available

## GstCodecParsers.VC1PicAdvanced

### Members

`fcm` (GstCodecParsers.VC1FrameCodingMode) –
No description available
`tfcntr` (int) –
No description available
`rptfrm` (int) –
No description available
`tff` (int) –
No description available
`rff` (int) –
No description available
`ps_present` (int) –
No description available
`ps_hoffset` (int) –
No description available
`ps_voffset` (int) –
No description available
`ps_width` (int) –
No description available
`ps_height` (int) –
No description available
`rndctrl` (int) –
No description available
`uvsamp` (int) –
No description available
`postproc` (int) –
No description available
`mvrange` (int) –
No description available
`mvmode` (int) –
No description available
`mvtab` (int) –
No description available
`cbptab` (int) –
No description available
`ttmbf` (int) –
No description available
`ttfrm` (int) –
No description available
`bfraction` (int) –
No description available
`mvmode2` (int) –
No description available
`lumscale` (int) –
No description available
`lumshift` (int) –
No description available
`bf` (int) –
No description available
`condover` (int) –
No description available
`transacfrm2` (int) –
No description available
`acpred` (int) –
No description available
`overflags` (int) –
No description available
`mvtypemb` (int) –
No description available
`skipmb` (int) –
No description available
`directmb` (int) –
No description available
`forwardmb` (int) –
No description available
`fieldtx` (int) –
No description available
`intcomp` (int) –
No description available
`dmvrange` (int) –
No description available
`mbmodetab` (int) –
No description available
`imvtab` (int) –
No description available
`icbptab` (int) –
No description available
`mvbptab2` (int) –
No description available
`mvbptab4` (int) –
No description available
`mvswitch4` (int) –
No description available
`refdist` (int) –
No description available
`fptype` (int) –
No description available
`numref` (int) –
No description available
`reffield` (int) –
No description available
`lumscale2` (int) –
No description available
`lumshift2` (int) –
No description available
`intcompfield` (int) –
No description available

## GstVC1PicSimpleMain

### Members

`frmcnt` (guint8) –
No description available
`mvrange` (guint8) –
No description available
`rangeredfrm` (guint8) –
No description available
`respic` (guint8) –
No description available
`transacfrm2` (guint8) –
No description available
`bf` (guint8) –
No description available
`mvmode` (guint8) –
No description available
`mvtab` (guint8) –
No description available
`ttmbf` (guint8) –
No description available
`mvmode2` (guint8) –
No description available
`lumscale` (guint8) –
No description available
`lumshift` (guint8) –
No description available
`cbptab` (guint8) –
No description available
`ttfrm` (guint8) –
No description available
`bfraction` (guint16) –
No description available
`mvtypemb` (guint8) –
No description available
`skipmb` (guint8) –
No description available
`directmb` (guint8) –
No description available

## GstCodecParsers.VC1PicSimpleMain

### Members

`frmcnt` (Number) –
No description available
`mvrange` (Number) –
No description available
`rangeredfrm` (Number) –
No description available
`respic` (Number) –
No description available
`transacfrm2` (Number) –
No description available
`bf` (Number) –
No description available
`mvmode` (Number) –
No description available
`mvtab` (Number) –
No description available
`ttmbf` (Number) –
No description available
`mvmode2` (Number) –
No description available
`lumscale` (Number) –
No description available
`lumshift` (Number) –
No description available
`cbptab` (Number) –
No description available
`ttfrm` (Number) –
No description available
`bfraction` (Number) –
No description available
`mvtypemb` (Number) –
No description available
`skipmb` (Number) –
No description available
`directmb` (Number) –
No description available

## GstCodecParsers.VC1PicSimpleMain

### Members

`frmcnt` (int) –
No description available
`mvrange` (int) –
No description available
`rangeredfrm` (int) –
No description available
`respic` (int) –
No description available
`transacfrm2` (int) –
No description available
`bf` (int) –
No description available
`mvmode` (int) –
No description available
`mvtab` (int) –
No description available
`ttmbf` (int) –
No description available
`mvmode2` (int) –
No description available
`lumscale` (int) –
No description available
`lumshift` (int) –
No description available
`cbptab` (int) –
No description available
`ttfrm` (int) –
No description available
`bfraction` (int) –
No description available
`mvtypemb` (int) –
No description available
`skipmb` (int) –
No description available
`directmb` (int) –
No description available

## GstVC1Picture

## GstCodecParsers.VC1Picture

## GstVC1SeqHdr

Structure for sequence headers in any profile.

### Members

`profile` (GstVC1Profile) –
No description available
`struct_c` (GstVC1SeqStructC) –
No description available
`mb_height` (guint) –
No description available
`mb_width` (guint) –
No description available
`mb_stride` (guint) –
No description available
`advanced` (GstVC1AdvancedSeqHdr) –
No description available

## GstCodecParsers.VC1SeqHdr

Structure for sequence headers in any profile.

### Members

`profile` (GstCodecParsers.VC1Profile) –
No description available
`struct_c` (GstCodecParsers.VC1SeqStructC) –
No description available
`mb_height` (Number) –
No description available
`mb_width` (Number) –
No description available
`mb_stride` (Number) –
No description available
`advanced` (GstCodecParsers.VC1AdvancedSeqHdr) –
No description available

## GstCodecParsers.VC1SeqHdr

Structure for sequence headers in any profile.

### Members

`profile` (GstCodecParsers.VC1Profile) –
No description available
`struct_c` (GstCodecParsers.VC1SeqStructC) –
No description available
`mb_height` (int) –
No description available
`mb_width` (int) –
No description available
`mb_stride` (int) –
No description available
`advanced` (GstCodecParsers.VC1AdvancedSeqHdr) –
No description available

## GstVC1SeqLayer

### Members

`numframes` (guint32) –
No description available
`struct_a` (GstVC1SeqStructA) –
No description available
`struct_b` (GstVC1SeqStructB) –
No description available
`struct_c` (GstVC1SeqStructC) –
No description available

## GstCodecParsers.VC1SeqLayer

### Members

`numframes` (Number) –
No description available
`struct_a` (GstCodecParsers.VC1SeqStructA) –
No description available
`struct_b` (GstCodecParsers.VC1SeqStructB) –
No description available
`struct_c` (GstCodecParsers.VC1SeqStructC) –
No description available

## GstCodecParsers.VC1SeqLayer

### Members

`numframes` (int) –
No description available
`struct_a` (GstCodecParsers.VC1SeqStructA) –
No description available
`struct_b` (GstCodecParsers.VC1SeqStructB) –
No description available
`struct_c` (GstCodecParsers.VC1SeqStructC) –
No description available

## GstVC1SeqStructA

### Members

`vert_size` (guint32) –
No description available
`horiz_size` (guint32) –
No description available

## GstCodecParsers.VC1SeqStructA

### Members

`vert_size` (Number) –
No description available
`horiz_size` (Number) –
No description available

## GstCodecParsers.VC1SeqStructA

### Members

`vert_size` (int) –
No description available
`horiz_size` (int) –
No description available

## GstVC1SeqStructB

### Members

`level` (GstVC1Level) –
No description available
`cbr` (guint8) –
No description available
`framerate` (guint32) –
No description available
`hrd_buffer` (guint32) –
No description available
`hrd_rate` (guint32) –
No description available

## GstCodecParsers.VC1SeqStructB

### Members

`level` (GstCodecParsers.VC1Level) –
No description available
`cbr` (Number) –
No description available
`framerate` (Number) –
No description available
`hrd_buffer` (Number) –
No description available
`hrd_rate` (Number) –
No description available

## GstCodecParsers.VC1SeqStructB

### Members

`level` (GstCodecParsers.VC1Level) –
No description available
`cbr` (int) –
No description available
`framerate` (int) –
No description available
`hrd_buffer` (int) –
No description available
`hrd_rate` (int) –
No description available

## GstVC1SeqStructC

### Members

`profile` (GstVC1Profile) –
No description available
`frmrtq_postproc` (guint8) –
No description available
`bitrtq_postproc` (guint8) –
No description available
`res_sprite` (guint8) –
No description available
`loop_filter` (guint8) –
No description available
`multires` (guint8) –
No description available
`fastuvmc` (guint8) –
No description available
`extended_mv` (guint8) –
No description available
`dquant` (guint8) –
No description available
`vstransform` (guint8) –
No description available
`overlap` (guint8) –
No description available
`syncmarker` (guint8) –
No description available
`rangered` (guint8) –
No description available
`maxbframes` (guint8) –
No description available
`quantizer` (guint8) –
No description available
`finterpflag` (guint8) –
No description available
`framerate` (guint) –
No description available
`bitrate` (guint) –
No description available
`coded_width` (guint16) –
No description available
`coded_height` (guint16) –
No description available
`wmvp` (guint8) –
No description available
`slice_code` (guint8) –
No description available

## GstCodecParsers.VC1SeqStructC

### Members

`profile` (GstCodecParsers.VC1Profile) –
No description available
`frmrtq_postproc` (Number) –
No description available
`bitrtq_postproc` (Number) –
No description available
`res_sprite` (Number) –
No description available
`loop_filter` (Number) –
No description available
`multires` (Number) –
No description available
`fastuvmc` (Number) –
No description available
`extended_mv` (Number) –
No description available
`dquant` (Number) –
No description available
`vstransform` (Number) –
No description available
`overlap` (Number) –
No description available
`syncmarker` (Number) –
No description available
`rangered` (Number) –
No description available
`maxbframes` (Number) –
No description available
`quantizer` (Number) –
No description available
`finterpflag` (Number) –
No description available
`framerate` (Number) –
No description available
`bitrate` (Number) –
No description available
`coded_width` (Number) –
No description available
`coded_height` (Number) –
No description available
`wmvp` (Number) –
No description available
`slice_code` (Number) –
No description available

## GstCodecParsers.VC1SeqStructC

### Members

`profile` (GstCodecParsers.VC1Profile) –
No description available
`frmrtq_postproc` (int) –
No description available
`bitrtq_postproc` (int) –
No description available
`res_sprite` (int) –
No description available
`loop_filter` (int) –
No description available
`multires` (int) –
No description available
`fastuvmc` (int) –
No description available
`extended_mv` (int) –
No description available
`dquant` (int) –
No description available
`vstransform` (int) –
No description available
`overlap` (int) –
No description available
`syncmarker` (int) –
No description available
`rangered` (int) –
No description available
`maxbframes` (int) –
No description available
`quantizer` (int) –
No description available
`finterpflag` (int) –
No description available
`framerate` (int) –
No description available
`bitrate` (int) –
No description available
`coded_width` (int) –
No description available
`coded_height` (int) –
No description available
`wmvp` (int) –
No description available
`slice_code` (int) –
No description available

## GstVC1SliceHdr

Structure that represents slice layer in advanced profile.

### Members

`slice_addr` (guint16) –
No description available
`header_size` (guint) –
No description available

## GstCodecParsers.VC1SliceHdr

Structure that represents slice layer in advanced profile.

### Members

`slice_addr` (Number) –
No description available
`header_size` (Number) –
No description available

## GstCodecParsers.VC1SliceHdr

Structure that represents slice layer in advanced profile.

### Members

`slice_addr` (int) –
No description available
`header_size` (int) –
No description available

## GstVC1VopDquant

### Members

`pqdiff` (guint8) –
No description available
`abspq` (guint8) –
No description available
`altpquant` (guint8) –
No description available
`dquantfrm` (guint8) –
No description available
`dqprofile` (guint8) –
No description available
`dqbedge` (guint8) –
No description available
`unused` (guint8) –
No description available
`dqbilevel` (guint8) –
No description available

## GstCodecParsers.VC1VopDquant

### Members

`pqdiff` (Number) –
No description available
`abspq` (Number) –
No description available
`altpquant` (Number) –
No description available
`dquantfrm` (Number) –
No description available
`dqprofile` (Number) –
No description available
`dqbedge` (Number) –
No description available
`unused` (Number) –
No description available
`dqbilevel` (Number) –
No description available

## GstCodecParsers.VC1VopDquant

### Members

`pqdiff` (int) –
No description available
`abspq` (int) –
No description available
`altpquant` (int) –
No description available
`dquantfrm` (int) –
No description available
`dqprofile` (int) –
No description available
`dqbedge` (int) –
No description available
`unused` (int) –
No description available
`dqbilevel` (int) –
No description available

## Functions

### gst_vc1_bitplanes_ensure_size

    gboolean
    gst_vc1_bitplanes_ensure_size (GstVC1BitPlanes * bitplanes,
                                   GstVC1SeqHdr * seqhdr)

Fills the bitplanes structure from seqhdr, this function should be called after gst_vc1_parse_sequence_header if in simple or main mode, or after gst_vc1_parse_entry_point_header if in advanced mode.

Parameters:

`bitplanes` –

The GstVC1BitPlanes to reset

`seqhdr` –

The GstVC1SeqHdr from which to set bitplanes

Returns –

TRUE if everything went fine, FALSE otherwise

### GstCodecParsers.prototype.vc1_bitplanes_ensure_size

    function GstCodecParsers.prototype.vc1_bitplanes_ensure_size(bitplanes: GstCodecParsers.VC1BitPlanes, seqhdr: GstCodecParsers.VC1SeqHdr): {
        // javascript wrapper for 'gst_vc1_bitplanes_ensure_size'
    }

Fills the bitplanes structure from seqhdr, this function should be called after GstCodecParsers.prototype.vc1_parse_sequence_header if in simple or main mode, or after GstCodecParsers.prototype.vc1_parse_entry_point_header if in advanced mode.

Parameters:

`bitplanes` (GstCodecParsers.VC1BitPlanes) –

The GstCodecParsers.VC1BitPlanes to reset

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr from which to set bitplanes

Returns (Number) –

true if everything went fine, false otherwise

### GstCodecParsers.vc1_bitplanes_ensure_size

    def GstCodecParsers.vc1_bitplanes_ensure_size (bitplanes, seqhdr):
        #python wrapper for 'gst_vc1_bitplanes_ensure_size'

Fills the bitplanes structure from seqhdr, this function should be called after GstCodecParsers.vc1_parse_sequence_header if in simple or main mode, or after GstCodecParsers.vc1_parse_entry_point_header if in advanced mode.

Parameters:

`bitplanes` (GstCodecParsers.VC1BitPlanes) –

The GstCodecParsers.VC1BitPlanes to reset

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr from which to set bitplanes

Returns (bool) –

True if everything went fine, False otherwise

### gst_vc1_bitplanes_free

    gst_vc1_bitplanes_free (GstVC1BitPlanes * bitplanes)

Parameters:

`bitplanes` –
No description available

### GstCodecParsers.prototype.vc1_bitplanes_free

    function GstCodecParsers.prototype.vc1_bitplanes_free(bitplanes: GstCodecParsers.VC1BitPlanes): {
        // javascript wrapper for 'gst_vc1_bitplanes_free'
    }

Parameters:

`bitplanes` (GstCodecParsers.VC1BitPlanes) –
No description available

### GstCodecParsers.vc1_bitplanes_free

    def GstCodecParsers.vc1_bitplanes_free (bitplanes):
        #python wrapper for 'gst_vc1_bitplanes_free'

Parameters:

`bitplanes` (GstCodecParsers.VC1BitPlanes) –
No description available

### gst_vc1_bitplanes_free_1

    gst_vc1_bitplanes_free_1 (GstVC1BitPlanes * bitplanes)

Parameters:

`bitplanes` –
No description available

### GstCodecParsers.prototype.vc1_bitplanes_free_1

    function GstCodecParsers.prototype.vc1_bitplanes_free_1(bitplanes: GstCodecParsers.VC1BitPlanes): {
        // javascript wrapper for 'gst_vc1_bitplanes_free_1'
    }

Parameters:

`bitplanes` (GstCodecParsers.VC1BitPlanes) –
No description available

### GstCodecParsers.vc1_bitplanes_free_1

    def GstCodecParsers.vc1_bitplanes_free_1 (bitplanes):
        #python wrapper for 'gst_vc1_bitplanes_free_1'

Parameters:

`bitplanes` (GstCodecParsers.VC1BitPlanes) –
No description available

### gst_vc1_bitplanes_new

    GstVC1BitPlanes *
    gst_vc1_bitplanes_new ()

Creates a new GstVC1BitPlanes. It should be freed with gst_vc1_bitplanes_free after use.

Returns –

a new GstVC1BitPlanes

### gst_vc1_identify_next_bdu

    GstVC1ParserResult
    gst_vc1_identify_next_bdu (const guint8 * data,
                               gsize size,
                               GstVC1BDU * bdu)

Parses data and fills bdu fields

Parameters:

`data` –

The data to parse

`size` –

the size of data

`bdu` ( [out]) –

The GstVC1BDU where to store parsed bdu headers

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_identify_next_bdu

    function GstCodecParsers.prototype.vc1_identify_next_bdu(data: Number, size: Number): {
        // javascript wrapper for 'gst_vc1_identify_next_bdu'
    }

Parses data and fills bdu fields

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

Returns a tuple made of:

(GstCodecParsers.VC1ParserResult ) –

a GstCodecParsers.VC1ParserResult

`bdu` (GstCodecParsers.VC1BDU ) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_identify_next_bdu

    def GstCodecParsers.vc1_identify_next_bdu (data, size):
        #python wrapper for 'gst_vc1_identify_next_bdu'

Parses data and fills bdu fields

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

Returns a tuple made of:

(GstCodecParsers.VC1ParserResult ) –

a GstCodecParsers.VC1ParserResult

`bdu` (GstCodecParsers.VC1BDU ) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_entry_point_header

    GstVC1ParserResult
    gst_vc1_parse_entry_point_header (const guint8 * data,
                                      gsize size,
                                      GstVC1EntryPointHdr * entrypoint,
                                      GstVC1SeqHdr * seqhdr)

Parses data, and sets entrypoint fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`entrypoint` ( [out]) –

The GstVC1EntryPointHdr to set.

`seqhdr` –

The GstVC1SeqHdr currently being parsed

Returns –

a GstVC1EntryPointHdr

### GstCodecParsers.prototype.vc1_parse_entry_point_header

    function GstCodecParsers.prototype.vc1_parse_entry_point_header(data: Number, size: Number, seqhdr: GstCodecParsers.VC1SeqHdr): {
        // javascript wrapper for 'gst_vc1_parse_entry_point_header'
    }

Parses data, and sets entrypoint fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr currently being parsed

Returns a tuple made of:

(GstCodecParsers.VC1ParserResult ) –

a GstCodecParsers.VC1EntryPointHdr

`entrypoint` (GstCodecParsers.VC1EntryPointHdr ) –

a GstCodecParsers.VC1EntryPointHdr

### GstCodecParsers.vc1_parse_entry_point_header

    def GstCodecParsers.vc1_parse_entry_point_header (data, size, seqhdr):
        #python wrapper for 'gst_vc1_parse_entry_point_header'

Parses data, and sets entrypoint fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr currently being parsed

Returns a tuple made of:

(GstCodecParsers.VC1ParserResult ) –

a GstCodecParsers.VC1EntryPointHdr

`entrypoint` (GstCodecParsers.VC1EntryPointHdr ) –

a GstCodecParsers.VC1EntryPointHdr

### gst_vc1_parse_field_header

    GstVC1ParserResult
    gst_vc1_parse_field_header (const guint8 * data,
                                gsize size,
                                GstVC1FrameHdr * fieldhdr,
                                GstVC1SeqHdr * seqhdr,
                                GstVC1BitPlanes * bitplanes)

Parses data, and fills fieldhdr fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`fieldhdr` –

The GstVC1FrameHdr to fill.

`seqhdr` –

The GstVC1SeqHdr currently being parsed

`bitplanes` –

The GstVC1BitPlanes to store bitplanes in or NULL

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_field_header

    function GstCodecParsers.prototype.vc1_parse_field_header(data: Number, size: Number, fieldhdr: GstCodecParsers.VC1FrameHdr, seqhdr: GstCodecParsers.VC1SeqHdr, bitplanes: GstCodecParsers.VC1BitPlanes): {
        // javascript wrapper for 'gst_vc1_parse_field_header'
    }

Parses data, and fills fieldhdr fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`fieldhdr` (GstCodecParsers.VC1FrameHdr) –

The GstCodecParsers.VC1FrameHdr to fill.

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr currently being parsed

`bitplanes` (GstCodecParsers.VC1BitPlanes) –

The GstCodecParsers.VC1BitPlanes to store bitplanes in or null

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_field_header

    def GstCodecParsers.vc1_parse_field_header (data, size, fieldhdr, seqhdr, bitplanes):
        #python wrapper for 'gst_vc1_parse_field_header'

Parses data, and fills fieldhdr fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`fieldhdr` (GstCodecParsers.VC1FrameHdr) –

The GstCodecParsers.VC1FrameHdr to fill.

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr currently being parsed

`bitplanes` (GstCodecParsers.VC1BitPlanes) –

The GstCodecParsers.VC1BitPlanes to store bitplanes in or None

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_frame_header

    GstVC1ParserResult
    gst_vc1_parse_frame_header (const guint8 * data,
                                gsize size,
                                GstVC1FrameHdr * framehdr,
                                GstVC1SeqHdr * seqhdr,
                                GstVC1BitPlanes * bitplanes)

Parses data, and fills entrypoint fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`framehdr` –

The GstVC1FrameHdr to fill.

`seqhdr` –

The GstVC1SeqHdr currently being parsed

`bitplanes` –

The GstVC1BitPlanes to store bitplanes in or NULL

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_frame_header

    function GstCodecParsers.prototype.vc1_parse_frame_header(data: Number, size: Number, framehdr: GstCodecParsers.VC1FrameHdr, seqhdr: GstCodecParsers.VC1SeqHdr, bitplanes: GstCodecParsers.VC1BitPlanes): {
        // javascript wrapper for 'gst_vc1_parse_frame_header'
    }

Parses data, and fills entrypoint fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`framehdr` (GstCodecParsers.VC1FrameHdr) –

The GstCodecParsers.VC1FrameHdr to fill.

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr currently being parsed

`bitplanes` (GstCodecParsers.VC1BitPlanes) –

The GstCodecParsers.VC1BitPlanes to store bitplanes in or null

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_frame_header

    def GstCodecParsers.vc1_parse_frame_header (data, size, framehdr, seqhdr, bitplanes):
        #python wrapper for 'gst_vc1_parse_frame_header'

Parses data, and fills entrypoint fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`framehdr` (GstCodecParsers.VC1FrameHdr) –

The GstCodecParsers.VC1FrameHdr to fill.

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr currently being parsed

`bitplanes` (GstCodecParsers.VC1BitPlanes) –

The GstCodecParsers.VC1BitPlanes to store bitplanes in or None

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_frame_layer

    GstVC1ParserResult
    gst_vc1_parse_frame_layer (const guint8 * data,
                               gsize size,
                               GstVC1FrameLayer * framelayer)

Parses data, and fills framelayer fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`framelayer` –

The GstVC1FrameLayer to fill.

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_frame_layer

    function GstCodecParsers.prototype.vc1_parse_frame_layer(data: Number, size: Number, framelayer: GstCodecParsers.VC1FrameLayer): {
        // javascript wrapper for 'gst_vc1_parse_frame_layer'
    }

Parses data, and fills framelayer fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`framelayer` (GstCodecParsers.VC1FrameLayer) –

The GstCodecParsers.VC1FrameLayer to fill.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_frame_layer

    def GstCodecParsers.vc1_parse_frame_layer (data, size, framelayer):
        #python wrapper for 'gst_vc1_parse_frame_layer'

Parses data, and fills framelayer fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`framelayer` (GstCodecParsers.VC1FrameLayer) –

The GstCodecParsers.VC1FrameLayer to fill.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_sequence_header

    GstVC1ParserResult
    gst_vc1_parse_sequence_header (const guint8 * data,
                                   gsize size,
                                   GstVC1SeqHdr * seqhdr)

Parses data, and fills seqhdr fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`seqhdr` –

The GstVC1SeqHdr to set.

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_sequence_header

    function GstCodecParsers.prototype.vc1_parse_sequence_header(data: Number, size: Number, seqhdr: GstCodecParsers.VC1SeqHdr): {
        // javascript wrapper for 'gst_vc1_parse_sequence_header'
    }

Parses data, and fills seqhdr fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_sequence_header

    def GstCodecParsers.vc1_parse_sequence_header (data, size, seqhdr):
        #python wrapper for 'gst_vc1_parse_sequence_header'

Parses data, and fills seqhdr fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_sequence_header_struct_a

    GstVC1ParserResult
    gst_vc1_parse_sequence_header_struct_a (const guint8 * data,
                                            gsize size,
                                            GstVC1SeqStructA * structa)

Parses data, and fills structa fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`structa` –

The GstVC1SeqStructA to set.

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_sequence_header_struct_a

    function GstCodecParsers.prototype.vc1_parse_sequence_header_struct_a(data: Number, size: Number, structa: GstCodecParsers.VC1SeqStructA): {
        // javascript wrapper for 'gst_vc1_parse_sequence_header_struct_a'
    }

Parses data, and fills structa fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`structa` (GstCodecParsers.VC1SeqStructA) –

The GstCodecParsers.VC1SeqStructA to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_sequence_header_struct_a

    def GstCodecParsers.vc1_parse_sequence_header_struct_a (data, size, structa):
        #python wrapper for 'gst_vc1_parse_sequence_header_struct_a'

Parses data, and fills structa fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`structa` (GstCodecParsers.VC1SeqStructA) –

The GstCodecParsers.VC1SeqStructA to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_sequence_header_struct_b

    GstVC1ParserResult
    gst_vc1_parse_sequence_header_struct_b (const guint8 * data,
                                            gsize size,
                                            GstVC1SeqStructB * structb)

Parses data, and fills structb fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`structb` –

The GstVC1SeqStructB to set.

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_sequence_header_struct_b

    function GstCodecParsers.prototype.vc1_parse_sequence_header_struct_b(data: Number, size: Number, structb: GstCodecParsers.VC1SeqStructB): {
        // javascript wrapper for 'gst_vc1_parse_sequence_header_struct_b'
    }

Parses data, and fills structb fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`structb` (GstCodecParsers.VC1SeqStructB) –

The GstCodecParsers.VC1SeqStructB to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_sequence_header_struct_b

    def GstCodecParsers.vc1_parse_sequence_header_struct_b (data, size, structb):
        #python wrapper for 'gst_vc1_parse_sequence_header_struct_b'

Parses data, and fills structb fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`structb` (GstCodecParsers.VC1SeqStructB) –

The GstCodecParsers.VC1SeqStructB to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_sequence_header_struct_c

    GstVC1ParserResult
    gst_vc1_parse_sequence_header_struct_c (const guint8 * data,
                                            gsize size,
                                            GstVC1SeqStructC * structc)

Parses data, and fills structc fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`structc` –

The GstVC1SeqStructC to set.

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_sequence_header_struct_c

    function GstCodecParsers.prototype.vc1_parse_sequence_header_struct_c(data: Number, size: Number, structc: GstCodecParsers.VC1SeqStructC): {
        // javascript wrapper for 'gst_vc1_parse_sequence_header_struct_c'
    }

Parses data, and fills structc fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`structc` (GstCodecParsers.VC1SeqStructC) –

The GstCodecParsers.VC1SeqStructC to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_sequence_header_struct_c

    def GstCodecParsers.vc1_parse_sequence_header_struct_c (data, size, structc):
        #python wrapper for 'gst_vc1_parse_sequence_header_struct_c'

Parses data, and fills structc fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`structc` (GstCodecParsers.VC1SeqStructC) –

The GstCodecParsers.VC1SeqStructC to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_sequence_layer

    GstVC1ParserResult
    gst_vc1_parse_sequence_layer (const guint8 * data,
                                  gsize size,
                                  GstVC1SeqLayer * seqlayer)

Parses data, and fills seqlayer fields.

Parameters:

`data` –

The data to parse

`size` –

the size of data

`seqlayer` –

The GstVC1SeqLayer to set.

Returns –

a GstVC1ParserResult

### GstCodecParsers.prototype.vc1_parse_sequence_layer

    function GstCodecParsers.prototype.vc1_parse_sequence_layer(data: Number, size: Number, seqlayer: GstCodecParsers.VC1SeqLayer): {
        // javascript wrapper for 'gst_vc1_parse_sequence_layer'
    }

Parses data, and fills seqlayer fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

the size of data

`seqlayer` (GstCodecParsers.VC1SeqLayer) –

The GstCodecParsers.VC1SeqLayer to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### GstCodecParsers.vc1_parse_sequence_layer

    def GstCodecParsers.vc1_parse_sequence_layer (data, size, seqlayer):
        #python wrapper for 'gst_vc1_parse_sequence_layer'

Parses data, and fills seqlayer fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

the size of data

`seqlayer` (GstCodecParsers.VC1SeqLayer) –

The GstCodecParsers.VC1SeqLayer to set.

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

### gst_vc1_parse_slice_header

    GstVC1ParserResult
    gst_vc1_parse_slice_header (const guint8 * data,
                                gsize size,
                                GstVC1SliceHdr * slicehdr,
                                GstVC1SeqHdr * seqhdr)

Parses data, and fills slicehdr fields.

Parameters:

`data` –

The data to parse

`size` –

The size of data

`slicehdr` –

The GstVC1SliceHdr to fill

`seqhdr` –

The GstVC1SeqHdr that was previously parsed

Returns –

a GstVC1ParserResult

Since : 1.2

### GstCodecParsers.prototype.vc1_parse_slice_header

    function GstCodecParsers.prototype.vc1_parse_slice_header(data: Number, size: Number, slicehdr: GstCodecParsers.VC1SliceHdr, seqhdr: GstCodecParsers.VC1SeqHdr): {
        // javascript wrapper for 'gst_vc1_parse_slice_header'
    }

Parses data, and fills slicehdr fields.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

The size of data

`slicehdr` (GstCodecParsers.VC1SliceHdr) –

The GstCodecParsers.VC1SliceHdr to fill

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr that was previously parsed

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

Since : 1.2

### GstCodecParsers.vc1_parse_slice_header

    def GstCodecParsers.vc1_parse_slice_header (data, size, slicehdr, seqhdr):
        #python wrapper for 'gst_vc1_parse_slice_header'

Parses data, and fills slicehdr fields.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

The size of data

`slicehdr` (GstCodecParsers.VC1SliceHdr) –

The GstCodecParsers.VC1SliceHdr to fill

`seqhdr` (GstCodecParsers.VC1SeqHdr) –

The GstCodecParsers.VC1SeqHdr that was previously parsed

Returns (GstCodecParsers.VC1ParserResult) –

a GstCodecParsers.VC1ParserResult

Since : 1.2

## Enumerations

### GstVC1Condover

##### Members

`GST_VC1_CONDOVER_NONE` (0) –
No description available
`GST_VC1_CONDOVER_ALL` (1) –
No description available
`GST_VC1_CONDOVER_SELECT` (2) –
No description available

### GstCodecParsers.VC1Condover

##### Members

`GstCodecParsers.VC1Condover.NONE` (0) –
No description available
`GstCodecParsers.VC1Condover.ALL` (1) –
No description available
`GstCodecParsers.VC1Condover.SELECT` (2) –
No description available

### GstCodecParsers.VC1Condover

##### Members

`GstCodecParsers.VC1Condover.NONE` (0) –
No description available
`GstCodecParsers.VC1Condover.ALL` (1) –
No description available
`GstCodecParsers.VC1Condover.SELECT` (2) –
No description available

### GstVC1DQProfile

##### Members

`GST_VC1_DQPROFILE_FOUR_EDGES` (0) –
No description available
`GST_VC1_DQPROFILE_DOUBLE_EDGES` (1) –
No description available
`GST_VC1_DQPROFILE_SINGLE_EDGE` (2) –
No description available
`GST_VC1_DQPROFILE_ALL_MBS` (3) –
No description available

### GstCodecParsers.VC1DQProfile

##### Members

`GstCodecParsers.VC1DQProfile.FOUR_EDGES` (0) –
No description available
`GstCodecParsers.VC1DQProfile.DOUBLE_EDGES` (1) –
No description available
`GstCodecParsers.VC1DQProfile.SINGLE_EDGE` (2) –
No description available
`GstCodecParsers.VC1DQProfile.ALL_MBS` (3) –
No description available

### GstCodecParsers.VC1DQProfile

##### Members

`GstCodecParsers.VC1DQProfile.FOUR_EDGES` (0) –
No description available
`GstCodecParsers.VC1DQProfile.DOUBLE_EDGES` (1) –
No description available
`GstCodecParsers.VC1DQProfile.SINGLE_EDGE` (2) –
No description available
`GstCodecParsers.VC1DQProfile.ALL_MBS` (3) –
No description available

### GstVC1FrameCodingMode

##### Members

`GST_VC1_FRAME_PROGRESSIVE` (0) –
No description available
`GST_VC1_FRAME_INTERLACE` (16) –
No description available
`GST_VC1_FIELD_INTERLACE` (17) –
No description available

### GstCodecParsers.VC1FrameCodingMode

##### Members

`GstCodecParsers.VC1FrameCodingMode.FRAME_PROGRESSIVE` (0) –
No description available
`GstCodecParsers.VC1FrameCodingMode.FRAME_INTERLACE` (16) –
No description available
`GstCodecParsers.VC1FrameCodingMode.FIELD_INTERLACE` (17) –
No description available

### GstCodecParsers.VC1FrameCodingMode

##### Members

`GstCodecParsers.VC1FrameCodingMode.FRAME_PROGRESSIVE` (0) –
No description available
`GstCodecParsers.VC1FrameCodingMode.FRAME_INTERLACE` (16) –
No description available
`GstCodecParsers.VC1FrameCodingMode.FIELD_INTERLACE` (17) –
No description available

### GstVC1Level

##### Members

`GST_VC1_LEVEL_LOW` (0) –
No description available
`GST_VC1_LEVEL_MEDIUM` (2) –
No description available
`GST_VC1_LEVEL_HIGH` (4) –
No description available
`GST_VC1_LEVEL_L0` (0) –
No description available
`GST_VC1_LEVEL_L1` (1) –
No description available
`GST_VC1_LEVEL_L2` (2) –
No description available
`GST_VC1_LEVEL_L3` (3) –
No description available
`GST_VC1_LEVEL_L4` (4) –
No description available
`GST_VC1_LEVEL_UNKNOWN` (255) –
No description available

### GstCodecParsers.VC1Level

##### Members

`GstCodecParsers.VC1Level.LOW` (0) –
No description available
`GstCodecParsers.VC1Level.MEDIUM` (2) –
No description available
`GstCodecParsers.VC1Level.HIGH` (4) –
No description available
`GstCodecParsers.VC1Level.L0` (0) –
No description available
`GstCodecParsers.VC1Level.L1` (1) –
No description available
`GstCodecParsers.VC1Level.L2` (2) –
No description available
`GstCodecParsers.VC1Level.L3` (3) –
No description available
`GstCodecParsers.VC1Level.L4` (4) –
No description available
`GstCodecParsers.VC1Level.UNKNOWN` (255) –
No description available

### GstCodecParsers.VC1Level

##### Members

`GstCodecParsers.VC1Level.LOW` (0) –
No description available
`GstCodecParsers.VC1Level.MEDIUM` (2) –
No description available
`GstCodecParsers.VC1Level.HIGH` (4) –
No description available
`GstCodecParsers.VC1Level.L0` (0) –
No description available
`GstCodecParsers.VC1Level.L1` (1) –
No description available
`GstCodecParsers.VC1Level.L2` (2) –
No description available
`GstCodecParsers.VC1Level.L3` (3) –
No description available
`GstCodecParsers.VC1Level.L4` (4) –
No description available
`GstCodecParsers.VC1Level.UNKNOWN` (255) –
No description available

### GstVC1MvMode

##### Members

`GST_VC1_MVMODE_1MV_HPEL_BILINEAR` (0) –
No description available
`GST_VC1_MVMODE_1MV` (1) –
No description available
`GST_VC1_MVMODE_1MV_HPEL` (2) –
No description available
`GST_VC1_MVMODE_MIXED_MV` (3) –
No description available
`GST_VC1_MVMODE_INTENSITY_COMP` (4) –
No description available

### GstCodecParsers.VC1MvMode

##### Members

`GstCodecParsers.VC1MvMode.1MV_HPEL_BILINEAR` (0) –
No description available
`GstCodecParsers.VC1MvMode.1MV` (1) –
No description available
`GstCodecParsers.VC1MvMode.1MV_HPEL` (2) –
No description available
`GstCodecParsers.VC1MvMode.MIXED_MV` (3) –
No description available
`GstCodecParsers.VC1MvMode.INTENSITY_COMP` (4) –
No description available

### GstCodecParsers.VC1MvMode

##### Members

`GstCodecParsers.VC1MvMode.1MV_HPEL_BILINEAR` (0) –
No description available
`GstCodecParsers.VC1MvMode.1MV` (1) –
No description available
`GstCodecParsers.VC1MvMode.1MV_HPEL` (2) –
No description available
`GstCodecParsers.VC1MvMode.MIXED_MV` (3) –
No description available
`GstCodecParsers.VC1MvMode.INTENSITY_COMP` (4) –
No description available

### GstVC1ParserResult

##### Members

`GST_VC1_PARSER_OK` (0) –
No description available
`GST_VC1_PARSER_BROKEN_DATA` (1) –
No description available
`GST_VC1_PARSER_NO_BDU` (2) –
No description available
`GST_VC1_PARSER_NO_BDU_END` (3) –
No description available
`GST_VC1_PARSER_ERROR` (4) –
No description available

### GstCodecParsers.VC1ParserResult

##### Members

`GstCodecParsers.VC1ParserResult.OK` (0) –
No description available
`GstCodecParsers.VC1ParserResult.BROKEN_DATA` (1) –
No description available
`GstCodecParsers.VC1ParserResult.NO_BDU` (2) –
No description available
`GstCodecParsers.VC1ParserResult.NO_BDU_END` (3) –
No description available
`GstCodecParsers.VC1ParserResult.ERROR` (4) –
No description available

### GstCodecParsers.VC1ParserResult

##### Members

`GstCodecParsers.VC1ParserResult.OK` (0) –
No description available
`GstCodecParsers.VC1ParserResult.BROKEN_DATA` (1) –
No description available
`GstCodecParsers.VC1ParserResult.NO_BDU` (2) –
No description available
`GstCodecParsers.VC1ParserResult.NO_BDU_END` (3) –
No description available
`GstCodecParsers.VC1ParserResult.ERROR` (4) –
No description available

### GstVC1PictureType

##### Members

`GST_VC1_PICTURE_TYPE_P` (0) –
No description available
`GST_VC1_PICTURE_TYPE_B` (1) –
No description available
`GST_VC1_PICTURE_TYPE_I` (2) –
No description available
`GST_VC1_PICTURE_TYPE_BI` (3) –
No description available
`GST_VC1_PICTURE_TYPE_SKIPPED` (4) –
No description available

### GstCodecParsers.VC1PictureType

##### Members

`GstCodecParsers.VC1PictureType.P` (0) –
No description available
`GstCodecParsers.VC1PictureType.B` (1) –
No description available
`GstCodecParsers.VC1PictureType.I` (2) –
No description available
`GstCodecParsers.VC1PictureType.BI` (3) –
No description available
`GstCodecParsers.VC1PictureType.SKIPPED` (4) –
No description available

### GstCodecParsers.VC1PictureType

##### Members

`GstCodecParsers.VC1PictureType.P` (0) –
No description available
`GstCodecParsers.VC1PictureType.B` (1) –
No description available
`GstCodecParsers.VC1PictureType.I` (2) –
No description available
`GstCodecParsers.VC1PictureType.BI` (3) –
No description available
`GstCodecParsers.VC1PictureType.SKIPPED` (4) –
No description available

### GstVC1Profile

##### Members

`GST_VC1_PROFILE_SIMPLE` (0) –
No description available
`GST_VC1_PROFILE_MAIN` (1) –
No description available
`GST_VC1_PROFILE_RESERVED` (2) –
No description available
`GST_VC1_PROFILE_ADVANCED` (3) –
No description available

### GstCodecParsers.VC1Profile

##### Members

`GstCodecParsers.VC1Profile.SIMPLE` (0) –
No description available
`GstCodecParsers.VC1Profile.MAIN` (1) –
No description available
`GstCodecParsers.VC1Profile.RESERVED` (2) –
No description available
`GstCodecParsers.VC1Profile.ADVANCED` (3) –
No description available

### GstCodecParsers.VC1Profile

##### Members

`GstCodecParsers.VC1Profile.SIMPLE` (0) –
No description available
`GstCodecParsers.VC1Profile.MAIN` (1) –
No description available
`GstCodecParsers.VC1Profile.RESERVED` (2) –
No description available
`GstCodecParsers.VC1Profile.ADVANCED` (3) –
No description available

### GstVC1QuantizerSpec

##### Members

`GST_VC1_QUANTIZER_IMPLICITLY` (0) –
No description available
`GST_VC1_QUANTIZER_EXPLICITLY` (1) –
No description available
`GST_VC1_QUANTIZER_NON_UNIFORM` (2) –
No description available
`GST_VC1_QUANTIZER_UNIFORM` (3) –
No description available

### GstCodecParsers.VC1QuantizerSpec

##### Members

`GstCodecParsers.VC1QuantizerSpec.IMPLICITLY` (0) –
No description available
`GstCodecParsers.VC1QuantizerSpec.EXPLICITLY` (1) –
No description available
`GstCodecParsers.VC1QuantizerSpec.NON_UNIFORM` (2) –
No description available
`GstCodecParsers.VC1QuantizerSpec.UNIFORM` (3) –
No description available

### GstCodecParsers.VC1QuantizerSpec

##### Members

`GstCodecParsers.VC1QuantizerSpec.IMPLICITLY` (0) –
No description available
`GstCodecParsers.VC1QuantizerSpec.EXPLICITLY` (1) –
No description available
`GstCodecParsers.VC1QuantizerSpec.NON_UNIFORM` (2) –
No description available
`GstCodecParsers.VC1QuantizerSpec.UNIFORM` (3) –
No description available

### GstVC1StartCode

##### Members

`GST_VC1_END_OF_SEQ` (10) –
No description available
`GST_VC1_SLICE` (11) –
No description available
`GST_VC1_FIELD` (12) –
No description available
`GST_VC1_FRAME` (13) –
No description available
`GST_VC1_ENTRYPOINT` (14) –
No description available
`GST_VC1_SEQUENCE` (15) –
No description available
`GST_VC1_SLICE_USER` (27) –
No description available
`GST_VC1_FIELD_USER` (28) –
No description available
`GST_VC1_FRAME_USER` (29) –
No description available
`GST_VC1_ENTRY_POINT_USER` (30) –
No description available
`GST_VC1_SEQUENCE_USER` (31) –
No description available

### GstCodecParsers.VC1StartCode

##### Members

`GstCodecParsers.VC1StartCode.END_OF_SEQ` (10) –
No description available
`GstCodecParsers.VC1StartCode.SLICE` (11) –
No description available
`GstCodecParsers.VC1StartCode.FIELD` (12) –
No description available
`GstCodecParsers.VC1StartCode.FRAME` (13) –
No description available
`GstCodecParsers.VC1StartCode.ENTRYPOINT` (14) –
No description available
`GstCodecParsers.VC1StartCode.SEQUENCE` (15) –
No description available
`GstCodecParsers.VC1StartCode.SLICE_USER` (27) –
No description available
`GstCodecParsers.VC1StartCode.FIELD_USER` (28) –
No description available
`GstCodecParsers.VC1StartCode.FRAME_USER` (29) –
No description available
`GstCodecParsers.VC1StartCode.ENTRY_POINT_USER` (30) –
No description available
`GstCodecParsers.VC1StartCode.SEQUENCE_USER` (31) –
No description available

### GstCodecParsers.VC1StartCode

##### Members

`GstCodecParsers.VC1StartCode.END_OF_SEQ` (10) –
No description available
`GstCodecParsers.VC1StartCode.SLICE` (11) –
No description available
`GstCodecParsers.VC1StartCode.FIELD` (12) –
No description available
`GstCodecParsers.VC1StartCode.FRAME` (13) –
No description available
`GstCodecParsers.VC1StartCode.ENTRYPOINT` (14) –
No description available
`GstCodecParsers.VC1StartCode.SEQUENCE` (15) –
No description available
`GstCodecParsers.VC1StartCode.SLICE_USER` (27) –
No description available
`GstCodecParsers.VC1StartCode.FIELD_USER` (28) –
No description available
`GstCodecParsers.VC1StartCode.FRAME_USER` (29) –
No description available
`GstCodecParsers.VC1StartCode.ENTRY_POINT_USER` (30) –
No description available
`GstCodecParsers.VC1StartCode.SEQUENCE_USER` (31) –
No description available

## Constants

### GST_VC1_BFRACTION_BASIS

    #define GST_VC1_BFRACTION_BASIS 840

The bfraction variable should be divided by this constant to have the actual value.

### GstCodecParsers.VC1_BFRACTION_BASIS

The bfraction variable should be divided by this constant to have the actual value.

### GstCodecParsers.VC1_BFRACTION_BASIS

The bfraction variable should be divided by this constant to have the actual value.

### GST_VC1_BFRACTION_PTYPE_BI

    #define GST_VC1_BFRACTION_PTYPE_BI (GST_VC1_BFRACTION_BASIS + 2)

### GstCodecParsers.VC1_BFRACTION_PTYPE_BI

### GST_VC1_BFRACTION_RESERVED

    #define GST_VC1_BFRACTION_RESERVED (GST_VC1_BFRACTION_BASIS + 1)

### GstCodecParsers.VC1_BFRACTION_RESERVED

### GST_VC1_MAX_HRD_NUM_LEAKY_BUCKETS

    #define GST_VC1_MAX_HRD_NUM_LEAKY_BUCKETS 31

### GstCodecParsers.VC1_MAX_HRD_NUM_LEAKY_BUCKETS

The results of the search are